Subject: [forces] generic forwarding element WAS(Re: Your recharter proposal

From: Jamal Hadi Salim <[email-masked]>
Date: Tue, 2 Apr 2013 10:16:52 -0400

Hi Ran

Changed the subject line to be more appropriate.

It would be useful to post a url or something to where people can find
more info.
The url may not necessarily have the code but more info and how to get
access to the code.

I plan to re-read your doc (especially since recently i have become interested
in ezchip processors).

cheers,
jamal

On Tue, Apr 2, 2013 at 9:36 AM, Ran Giladi <[email-masked]> wrote:
> Hi ForCES,
>
> Several years ago, I communicated with some of you, proposing to use ForCES
> for SDN (not by this name, it was at the beginning of OpenFlow), claiming
> that in order to stay relevant ForCES should target "SDN".
>
> I'd like to use the opportunity and re-propose ForCES-based SDN, as
> described in a paper I published in PRESTO'09, one of SIGCOM's workshops:
> http://dl.acm.org/citation.cfm?id=1592637
>
> The main idea, in short, is to dictate (prescribe, force) a set of LFBs and
> their interconnections (described in XML) on a generic data-plane platform,
> using ForCES (we added OpenFlow later) LFBs and protocol, thus enabling the
> generic platform to function as desired.
> Applications can include OAM functionality, auto-learning, DPI, stateful
> operations, and more, all (or most) at the data plane. It is a sort of a
> superset of OpenFlow capabilities, based on ForCES.
>
> I was able even to generate a Service Oriented Networking - using various
> service indicators (in incoming frames) to initiate service functions, most
> of them were executed at the data-plane. The first system was tested at
> British Telecom Labs (at Ipswich), running an experimental scalable
> Ethernet, using Network Processors (EZchip's). Recently my students were
> able to port the code to plain Linux system.
>
> If this is of interest, I can provide more info, including the Linux code.
>
> Ran
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Adrian Farrel
> Sent: Tuesday, April 02, 2013 12:27 AM
> To: [email-masked]
> Subject: [forces] Your recharter proposal
>
> Hi ForCES,
>
> I have entered your proposed charter text at
> https://datatracker.ietf.org/doc/charter-ietf-forces/
>
> Since the meeting in Orlando I haven't heard a word of disquiet from you
> about the charter so I am going to assume that you are all happy with what
> is in/out within the bounds of understanding when you are in the rough.
> Therefore, please shout loud and clear if that is not the case.
>
> I am now going to set about some wordsmithing because the current proposal
> is about 25 pages too long :-)
>
> Cheers,
> Adrian
>
>
>
> _______________________________________________
> forces mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/forces
>
> _______________________________________________
> forces mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/forces